#ifndef HARDWARE_H
#define HARDWARE_H

// Sender-Ausgang freigeben
#define TXHI (DDRB |= (1 << PB1))
#define TXLO (DDRB &= ~(1 << PB1))

#define RXHI (PORTD |= (1 << PD4))
#define RXLO (PORTD &= ~(1 << PD4))

#define DIM1 1
#define DIM2 2
#define DIM3 4
#define DIM4 4
#define KEY1 16
#define KEY2 32
#define KEY3 64
#define SETUP_ZERO_CROSS 128


// ersten 4 CFG's enthalten HElligkeit
#define CFGSIZE 8
unsigned char cfg[CFGSIZE];

#define setup	cfg[5]
#define outxor 	cfg[6]

unsigned char waitqueue;  // Gibt den Queuehandler frei, um neue Daten zu verschicken

void inline init_hardware(void);
#endif
