#ifndef MAIN_H
#define MAIN_H
#include <inttypes.h>
#define sbi(ADDRESS,BIT) ((ADDRESS) |= (1<<(BIT)))
#define cbi(ADDRESS,BIT) ((ADDRESS) &= ~(1<<(BIT)))
#define outp(VAL,ADRESS) ((ADRESS) = (VAL))
#define inp(VAL) (VAL)
#define BV(VAL) (1 << VAL)


#define LED1ON  cbi(PORTB,PB5); sbi(DDRB,PB5); 
#define LED1OFF cbi(DDRB,PB5);  sbi(PORTB,PB5);

#define LED2ON  cbi(PORTB,PB4); sbi(DDRB,PB4); 
#define LED2OFF cbi(DDRB,PB4);  sbi(PORTB,PB4);

#define LED3ON  cbi(PORTB,PB3); sbi(DDRB,PB3); 
#define LED3OFF cbi(DDRB,PB3);  sbi(PORTB,PB3);

void keyhandler(unsigned char i);
#endif
